StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

List Applications - V2

GET /api/v2/org/{orgId}/apps

List Applications V2

Lists applications that belong to this organization.

Returns a new style paginated list of Applications.

Parameter Default Description
orgId "" The org id that these applications belong to.
applications [] List of applications.
totalCount 0 Total number of applications in the results.
currentPage {} The current page.
hasNext false Whether or not there is a next page.
nextPage {}
nextPageToken ""
hasPrev false Whether or not there is a previous page.
prevPage {}
prevPageToken ""

Application

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.

Parameter Default Description
applicationId "" The UUID identifier of this application.
name "" The name of this application.
env "" The name of this environment. Only set when requesting Application Environments.
envId "" The UUID identifier of this environment.
applicationStatus "ACTIVE" The status of this application. Either ACTIVE or ENV_INCOMPLETE.
organizationId "" The UUID identifier of the organization that owns this application.
applicationType "STANDARD" The type of this application.
cloudScanTarget {} Optional Cloud Scan Target configuration.

The returned list of applications is filtered by the organization id and User's API Token Team membership.

Filter Query Params

  • query: A string to filter applications by name.
  • appIds: A comma-separated list of application uuids to filter by.
  • teamIds: A comma-separated list of team uuids to filter by.
  • applicationStatus: A comma-separated list of application statuses to filter by. Possible values are ACTIVE and ENV_INCOMPLETE.

Requires read:application permission.

Path parameters

orgIdstring · uuidrequired

UUID identifier for this StackHawk Organization.

Query parameters

querystring

A term used to filter results based on matching content in one or more fields.

sortFieldstring

Resource field to sort paginated response by.

5 available options
applicationIdapplicationNameapplicationStatusmappedRepositoryCountthirtyDayCommitActivity
sortDirstring

Paginated results are sorted 'asc' or 'desc'.

3 available options
ASCDESCUNSORTED
pagestring

Pagination page key.

pageSizeinteger · int32

Pagination response size limit.

default: 10
pageTokeninteger · int32

Pagination request page increment.

default: 0
appIdsstring[]

A comma-delimited list of UUID identifiers of StackHawk Applications.

teamIdsstring[]

A comma-delimited list of UUID identifiers of StackHawk Teams to filter by.

applicationStatusstring[]

A comma-separated list of application status filters.

applicationTypesstring[]

A comma-separated list of ApplicationType names.

default: ["STANDARD"]

Response

Paginated response of applications.

applications
application.Application[]

List of applications.

Hide child attributesShow child attributes
applications.applicationId
string

The UUID identifier of this application.

applications.applicationStatus
enum<string>

The status of this application. Either ACTIVE or ENV_INCOMPLETE.

2 available options
ACTIVEENV_INCOMPLETE
applications.applicationType
enum<string>

The type of this application.

2 available options
STANDARDCLOUD
applications.cloudScanTarget
application.CloudScanTarget
Hide child attributesShow child attributes
applications.cloudScanTarget.isDomainVerified
boolean

Indicates if the domain is verified or not.

applications.cloudScanTarget.targetURL
string

The target URL.

applications.dataType
enum<string> write-only

The perceived dataType of this application. Currently unused.

7 available options
NONEPIIPCIFINPKIHIPAAFERPA
applications.env
string

The name of this environment. Only set when requesting Application Environments.

applications.envId
string

The UUID identifier of this environment.

applications.name
string

The name of this application.

applications.organizationId
string

The UUID identifier of the organization that owns this application.

applications.riskLevel
enum<string> write-only

The perceived riskLevel of this application. Currently unused.

4 available options
LOWMEDIUMHIGHCRITICAL
currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean

Whether or not there is a previous page.

nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageToken
string
orgId
string

The org id that these applications belong to.

prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageToken
string
totalCount
integer<int64>

Total number of applications in the results.

applications
application.Application[]

List of applications.

Hide child attributesShow child attributes
applications.applicationId
string

The UUID identifier of this application.

applications.applicationStatus
enum<string>

The status of this application. Either ACTIVE or ENV_INCOMPLETE.

2 available options
ACTIVEENV_INCOMPLETE
applications.applicationType
enum<string>

The type of this application.

2 available options
STANDARDCLOUD
applications.cloudScanTarget
application.CloudScanTarget
Hide child attributesShow child attributes
applications.cloudScanTarget.isDomainVerified
boolean

Indicates if the domain is verified or not.

applications.cloudScanTarget.targetURL
string

The target URL.

applications.dataType
enum<string> write-only

The perceived dataType of this application. Currently unused.

7 available options
NONEPIIPCIFINPKIHIPAAFERPA
applications.env
string

The name of this environment. Only set when requesting Application Environments.

applications.envId
string

The UUID identifier of this environment.

applications.name
string

The name of this application.

applications.organizationId
string

The UUID identifier of the organization that owns this application.

applications.riskLevel
enum<string> write-only

The perceived riskLevel of this application. Currently unused.

4 available options
LOWMEDIUMHIGHCRITICAL
currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean

Whether or not there is a previous page.

nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageToken
string
orgId
string

The org id that these applications belong to.

prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageToken
string
totalCount
integer<int64>

Total number of applications in the results.

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.